<?php

class AnwTemplateDefault_action_create extends AnwTemplateOverride_global
{
	function startForm($pageid, $sFormAction, $sLang, $asLangs, $aoContentClasses)
	{
		$langOptions = $this->selectLang($asLangs, $sLang);
		$sContentClassOptions = $this->selectContentClass($aoContentClasses);
		
		$HTML = <<<EOF

	<h1>{$this->t_('title', array('pagename'=>'<i>'.$pageid.'</i>'))}</h1>
	
	<form action="$sFormAction" method="post">
		{$this->g_('in_pagename')} $pageid<br/>
		{$this->g_('in_pagelang')} <select name="lang" class="languages inselect" id="selectpagelang" onchange="window.location.href='$sFormAction&amp;lang='+this.options[this.selectedIndex].value">$langOptions</select><br/> 
		{$this->g_('in_contentclass')} <select name="contentclass" class="contentclasses inselect">$sContentClassOptions</select><br/> 
		
		<div style="width:600px" id="create_translations">
		<fieldset>
			<legend>{$this->t_('translations')}
				<a href="#" onclick="AnwUtils.chkall('create_lang',$('create_translations')); return false;">{$this->g_('in_chkall')}</a> 
				<a href="#" onclick="AnwUtils.chknone('create_lang',$('create_translations')); return false;">{$this->g_('in_chknone')}</a>
			</legend>
EOF;
		return $HTML;
	}
	
	function translationRow($sLang, $sPageNameDefault, $sCheckBoxName, $sInputName)
	{
		$sImgFlag = Anwi18n::imgFlag($sLang);
		$sSrcFlag = Anwi18n::srcFlag($sLang);
		$sPageNameDefault = AnwUtils::escapeQuote($sPageNameDefault);
		$HTML = <<<EOF

		<div class="div_translation">
			<input type="checkbox" name="$sCheckBoxName" id="$sCheckBoxName" value="1" class="create_lang" style="float:left"/>
			<label for="$sCheckBoxName" style="width:100px; float:left;">
				$sImgFlag $sLang :
			</label>
			<input type="text" name="$sInputName" value="$sPageNameDefault" class="intext inpagename" style="background-image:url('$sSrcFlag')"/><br/>
		</div>
EOF;
		return $HTML;
	}
	
	function translationRowCurrent($sLang, $sPageName)
	{
		$sImgFlag = Anwi18n::imgFlag($sLang);
		$sSrcFlag = Anwi18n::srcFlag($sLang);
		$sPageName = AnwUtils::escapeQuote($sPageName);
		$HTML = <<<EOF

		<div class="div_translation">
			<input type="checkbox" name="lang_current" id="lang_current" value="null" style="float:left" checked="checked" disabled="disabled"/>
			<label for="lang_current" style="width:100px; float:left;">
				$sImgFlag $sLang :
			</label>
			<input type="text" name="pagename_current" value="$sPageName" class="intext inpagename" style="background-image:url('$sSrcFlag')" disabled="disabled"/><br/>
		</div>
EOF;
		return $HTML;
	}
	
	function endForm($lnkhome)
	{
		$HTML = <<<EOF
		</fieldset>
		</div>
		<input type="button" value="{$this->g_('in_abort')}" class="inabort" onclick="document.location='$lnkhome'"/> 
		<input type="submit" value="{$this->g_('in_submit')}" class="insubmit"/>
	</form>

EOF;
		return $HTML;
	}
}

?>