<?php

class AnwTemplateDefault_action_translate extends AnwTemplateOverride_global
{
	function translateform($sContentHtmlDir, $sCss, $sReferenceHtmlDir, $formaction,$content,$nRev,$langfrom,$langto,$selectPageRef)
	{
		$sImgFlagFrom = Anwi18n::imgFlag($langfrom);
		$sImgFlagTo = Anwi18n::imgFlag($langto);
		
		$HTML = <<<EOF

	<div class="explain">
		{$this->t_('translate_explain')}
		<ol>
			<li>{$this->t_('translate_explain_1', array('selectref'=>$selectPageRef))}</li>
			<li>{$this->t_('translate_explain_2')}</li>
			<li>{$this->t_('translate_explain_3')}</li>
			<li>{$this->t_('translate_explain_4')}</li>
		</ol>
		<input type="button" onclick="oTranslator.save();return false;" class="insubmit" value="{$this->t_('translate_button_save')}"/>  
		<input type="button" onclick="window.location=window.location+'&amp;abort=1'" class="inabort" value="{$this->g_('in_abort')}"/> 
		
	</div>
	
	<form action="$formaction" method="post" id="translateform">
		<input type="hidden" name="save" value="1"/>
		<input type="hidden" name="rev" value="$nRev"/>
		<div id="panel">
			<fieldset id="panel_current">
				<legend>{$this->t_('translate_panel_currentarea')}</legend>
				<div style="text-align:center">
					<input type="button" onclick="oTranslator.translatePrevious();return false;" class="inbutton" value="{$this->t_('translate_button_previous')}"/> 
					<input type="button" onclick="oTranslator.translateNext();return false;" class="inbutton" value="{$this->t_('translate_button_next')}"/><br/>
					<input type="checkbox" id="panel_skiptranslated" checked="checked"/><label for="panel_skiptranslated" title="will move to the next untranslated string">{$this->t_('translate_chk_skiptranslated')}</label>
				</div>
				
				$sImgFlagFrom {$this->t_('translate_original_value')}<br/>
				<div id="panel_original" dir="$sReferenceHtmlDir"></div><br/>
				$sImgFlagTo {$this->t_('translate_translated_value')}<br/>
				<textarea id="panel_translate" rows="2" dir="$sContentHtmlDir"></textarea><br/>
				<input type="checkbox" id="panel_done"/><label for="panel_done">{$this->t_('translate_chk_translated')}</label><br/>
				<div style="display:none"><input type="checkbox" id="panel_apply"/><label for="panel_apply">{$this->t_('translate_chk_apply')}</label><br/></div>
				<input type="checkbox" id="panel_autotranslate" checked="checked"/><label for="panel_autotranslate">{$this->t_('translate_chk_autotranslate')}</label>
			
				<div class="panel_buttons">
					<input type="button" onclick="oTranslator.revert();return false;" class="inabort" value="{$this->t_('translate_button_revert')}"/> 
					<input type="button" onclick="oTranslator.save();return false;" class="insubmit" value="{$this->t_('translate_button_save')}"/> 
					<input type="button" onclick="window.location=window.location+'&amp;abort=1'" class="inabort" value="{$this->g_('in_abort')}"/> 
					<input type="button" onclick="oTranslator.hidePanel();return false;" class="inbutton" value="{$this->t_('translate_button_closepanel')}"/>
				</div>
			</fieldset> 
			<fieldset id="panel_global">
				<legend>{$this->t_('translate_panel_globalarea')}</legend>
				<div class="panel_buttons">
					<input type="button" onclick="oTranslator.undoneall();return false;" class="inabort" value="{$this->t_('translate_button_undoneall')}"/>
					<input type="button" onclick="oTranslator.doneall();return false;" class="insubmit" value="{$this->t_('translate_button_doneall')}"/> 
					<input type="button" onclick="window.location=window.location" class="inabort" value="{$this->t_('translate_button_refresh')}"/>
				</div>
			</fieldset> 
			<fieldset id="panel_shortcuts">
				<legend>{$this->t_('translate_panel_shortcuts')}</legend>
				<label>CTRL+Enter</label>{$this->t_('translate_shortcut_next')}<br/>
				<label>CTRL+Shift+Enter</label>{$this->t_('translate_shortcut_nextandmark')}<br/>
			</fieldset>
		</div>
		<div id="translator"></div>
	</form>
	
	<div class="$sCss">
	$content
	</div>
EOF;
		return $HTML;
	}
	
	function jsSrc()
	{
		
	}
	
	function jsOnload($hidden_tags, $urlroot, $sEmptyValue, $sEmptyValueSrc)
	{
		$sEmptyValue = AnwUtils::escapeApostrophe($sEmptyValue);
		$sEmptyValueSrc = AnwUtils::escapeApostrophe($sEmptyValueSrc);
		
		$JS = <<<EOF
	oTranslator = new AnwTranslator( $('translateform'), $('translator'), $('panel'), $('panel_original'), $('panel_translate'), $('panel_done'), $('panel_apply'), $('panel_autotranslate'), $('panel_skiptranslated'), '$sEmptyValue', '$sEmptyValueSrc' );
	$hidden_tags 
	oTranslator.start();
EOF;
		return $JS;
	}
	
	function hiddentags($id, $defaultcontent, $originalcontent, $translated)
	{
		
		$sTranslated = ($translated ? 'true' : 'false');
		$HTML = <<<EOF

	oTranslator.addItem( new TranslateItem("$id", "$defaultcontent", "$originalcontent", $sTranslated) );
EOF;
		return $HTML;
	}
	
	function translateContentField($sContentHtmlDir, $sTitle, $sValue)
	{
		$HTML = <<<EOF

<div class="contentfield">
	<div class="contentfield_label">$sTitle : </div>
	<div class="contentfield_content" dir="$sContentHtmlDir">$sValue
		<div style="clear:both"></div>
	</div>
</div>
EOF;
		return $HTML;
	}
	
	function translationSpan($id)
	{
		$HTML = <<<EOF
<span id="$id">&nbsp;</span>
EOF;
		return $HTML;
	}
	
	function selectPageRef_open()
	{
		$HTML = <<<EOF
<select onchange="document.location='?a=translate&ref='+this.options[this.selectedIndex].value">
EOF;
		return $HTML;
	}
	
	function selectPageRef_row($oPage)
	{
		if ($oPage->isTranslated())
		{
			$sTranslationProgress = $this->g_("translation_complete");
		}
		else
		{
			$sTranslationProgress = $this->g_("translation_progress",array("percent"=>$oPage->getTranslatedPercent()));
		}
		$sTitle = $oPage->getLang().' : '.$oPage->getName().' ('.$sTranslationProgress.')';
		$sValue = urlencode($oPage->getLang());
		$HTML = <<<EOF
<option value="$sValue">$sTitle</option>
EOF;
		return $HTML;
	}
	
	function selectPageRef_row_selected($oPage)
	{
		if ($oPage->isTranslated())
		{
			$sTranslationProgress = $this->g_("translation_complete");
		}
		else
		{
			$sTranslationProgress = $this->g_("translation_progress",array("percent"=>$oPage->getTranslatedPercent()));
		}
		$sTitle = $oPage->getLang().' : '.$oPage->getName().' ('.$sTranslationProgress.')';
		$sValue = urlencode($oPage->getName());
		$HTML = <<<EOF
<option value="$sValue" selected="selected">&gt;$sTitle</option>
EOF;
		return $HTML;
	}
	
	function selectPageRef_close()
	{
		$HTML = <<<EOF
</select>
EOF;
		return $HTML;
	}
}

?>